%define	pkgname video
%define name	octave-%{pkgname}
%define version 1.0.2
%define release %mkrel 1

Summary:	Video manipulation functions for Octave
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{pkgname}-%{version}.tar.gz
License:	BSD
Group:		Sciences/Mathematics
Url:		http://octave.sourceforge.net/video/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	octave-forge <= 20090607
Requires:	octave >= 2.9.12
BuildRequires:	octave-devel >= 2.9.12, MesaGL-devel, MesaGLU-devel
BuildRequires:	ffmpeg-devel

%description
This package provides Octave implementations of the addframe, avifile,
aviinfo, and aviread functions in MATLAB using ffmpeg.

%prep
%setup -q -c %{pkgname}-%{version}
cp %SOURCE0 .

%install
rm -rf %{buildroot}
%__install -m 755 -d %{buildroot}%{_datadir}/octave/packages/
%__install -m 755 -d %{buildroot}%{_libdir}/octave/packages/
export OCT_PREFIX=%{buildroot}%{_datadir}/octave/packages
export OCT_ARCH_PREFIX=%{buildroot}%{_libdir}/octave/packages
export CXXFLAGS=-D__STDC_CONSTANT_MACROS
octave -q --eval "pkg prefix $OCT_PREFIX $OCT_ARCH_PREFIX; pkg install -verbose -nodeps -local %{pkgname}-%{version}.tar.gz"

tar zxf %SOURCE0 
mv %{pkgname}-%{version}/COPYING .
mv %{pkgname}-%{version}/DESCRIPTION .

%clean
%__rm -rf %{buildroot}

%post
%{_bindir}/test -x %{_bindir}/octave && %{_bindir}/octave -q -H --no-site-file --eval "pkg('rebuild');" || :

%postun
%{_bindir}/test -x %{_bindir}/octave && %{_bindir}/octave -q -H --no-site-file --eval "pkg('rebuild');" || :

%files
%defattr(-,root,root)
%doc COPYING DESCRIPTION
%{_datadir}/octave/packages/%{pkgname}-%{version}
%{_libdir}/octave/packages/%{pkgname}-%{version}


%changelog
* Tue Aug 16 2011 Lev Givon <lev@mandriva.org> 1.0.2-1
+ Revision: 694744
- import octave-video


